Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 523358 - Hibernate causes disk corruption
Summary: Hibernate causes disk corruption
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 05:00 UTC by Penelope Fudd
Modified: 2010-06-28 14:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:39:41 UTC
Type: ---


Attachments (Terms of Use)
/var/log/rpmpkgs of the system that crashed. (53.09 KB, text/plain)
2009-09-15 05:00 UTC, Penelope Fudd
no flags Details

Description Penelope Fudd 2009-09-15 05:00:10 UTC
Created attachment 361037 [details]
/var/log/rpmpkgs of the system that crashed.

Description of problem:
I opened my laptop after hibernation, pressed the power button, entered my whole-disk encryption password, and was greeted with a nice long fsck error message warning about lots of blocks shared between files, and dropping me into single-user mode.  Running fsck / and pressing 'y' a lot fixed the cross-linking (blocks were cloned), but there are a lot of corrupt files on my disk.  Running rpm -V -a gave me a list of ~5000 files that failed their checksums, and xargs rpm -qf gave me the list of rpms that were damaged.  I'm currently downloading all of those rpms, and will install them with rpm -Uvh --force *.rpm when I've got them.

Version-Release number of selected component (if applicable):
kernel-PAE-2.6.29.6-217.2.16.fc11.i686.rpm

How reproducible:
This is the first time

Steps to Reproduce:
1. Install fedora 11, update rpms 
2. Hibernate
3. Resume
  
Actual results:
Lots of filesystem errors

Expected results:
No errors

Additional info:
This is on a Toshiba Satellite A200-AH6, 150Gig hard drive, 1Gig ram.

Comment 1 Penelope Fudd 2009-09-15 05:01:16 UTC
Comment on attachment 361037 [details]
/var/log/rpmpkgs of the system that crashed.

It's possible that there were further rpm updates after this file was written.

Comment 2 Penelope Fudd 2009-09-15 05:03:30 UTC
I haven't used the system for about a week.

Comment 3 Bug Zapper 2010-04-28 10:22:39 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:39:41 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.